package ${basePackage}.module.system.req;

import ${basePackage}.frame.base.BaseFindRequest;

import java.util.Date;

/**
 * VisitorResFindRequest - 应用资源关系查询
 *
 * @author wangbing
 * @version 0.0.1
 * @since 2020-06-25
 */
public class VisitorResFindRequest extends BaseFindRequest {

    /**
     * 应用主键.
     */
    private Long appId;

    /**
     * 应用码.
     */
    private String appKey;

    /**
     * 资源主键.
     */
    private Long resId;

    /**
     * 资源代码.
     */
    private String resCode;

    /**
     * 开始日期
     */
    private Date startDate;

    /**
     * 结束日期
     */
    private Date endDate;

    public Long getAppId() {
        return this.appId;
    }

    public void setAppId(Long appId) {
        this.appId = appId;
    }

    public String getAppKey() {
        return this.appKey;
    }

    public void setAppKey(String appKey) {
        this.appKey = appKey;
    }

    public Long getResId() {
        return this.resId;
    }

    public void setResId(Long resId) {
        this.resId = resId;
    }

    public String getResCode() {
        return this.resCode;
    }

    public void setResCode(String resCode) {
        this.resCode = resCode;
    }

    public Date getStartDate() {
        return startDate;
    }

    public void setStartDate(Date startDate) {
        this.startDate = startDate;
    }

    public Date getEndDate() {
        return endDate;
    }

    public void setEndDate(Date endDate) {
        this.endDate = endDate;
    }
}
